{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Flowra","description":"Build AI agents and workflows in chat, then integrate with the Flowra API, MCP, and embeds.","colors":{"primary":"#bb7400","light":"#e8b04a","dark":"#bb7400"},"logo":{"light":"https://mintcdn.com/flowra/KoDiEtrvqx_MHDGG/logo/light-with-text.svg?fit=max\u0026auto=format\u0026n=KoDiEtrvqx_MHDGG\u0026q=85\u0026s=07e27ae1fc4dcde969fed24cc2af1a7f","dark":"https://mintcdn.com/flowra/KoDiEtrvqx_MHDGG/logo/dark-with-text.svg?fit=max\u0026auto=format\u0026n=KoDiEtrvqx_MHDGG\u0026q=85\u0026s=becfcfab769f5d921b434cff0d5d0793"},"favicon":"https://mintcdn.com/flowra/r26XWHG32RWMAlq0/favicon.svg?fit=max\u0026auto=format\u0026n=r26XWHG32RWMAlq0\u0026q=85\u0026s=54b453ad5bb244866ae818d688e57bb2","api":{"openapi":"api-reference/openapi.json"},"navbar":{"links":[{"href":"mailto:support@flowra.dev","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://flowra.dev/dashboard"}},"footer":{"socials":{"github":"https://github.com/flowradev/sdk","x":"https://x.com/flowradev"}},"seo":{"metatags":{"canonical":"https://docs.flowra.dev"},"organization":{"name":"Flowra","url":"https://flowra.dev","logo":"https://docs.flowra.dev/logo/light-with-text.svg","sameAs":["https://github.com/flowradev/sdk","https://x.com/flowradev"]},"indexing":"all"},"contextual":{"options":["copy","view","chatgpt","claude","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Dashboard","icon":"rectangle-terminal","href":"https://flowra.dev/dashboard"},{"anchor":"API","icon":"code","href":"/api-reference"},{"anchor":"SDK","icon":"cube","href":"/guides/sdk"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flowra","hasAudioNarration":false,"actualSubdomain":"flowra","customDomains":["docs.flowra.dev"],"gitSource":{"type":"github","owner":"flowradev","repo":"flowra-doc","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6acb40a7b9968432185f8788","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"API reference","count":147},{"language":"default","tag":"Developers","count":40},{"language":"default","tag":"Product","count":24},{"language":"default","tag":"Workflow \u0026 Agent","count":18},{"language":"default","tag":"In the dashboard","count":16},{"language":"default","tag":"Chat","count":14},{"language":"default","tag":"MCP","count":14},{"language":"default","tag":"Knowledge","count":13},{"language":"default","tag":"Skills","count":12},{"language":"default","tag":"Getting started","count":10}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/auth-configs/get-auth-configuration-by-id","slug":"/api-reference/auth-configs/get-auth-configuration-by-id","pageMetadata":{"title":"Get auth configuration by ID","description":"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/auth_configs/{id}","href":"/api-reference/auth-configs/get-auth-configuration-by-id","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get auth configuration by ID","description":"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/auth_configs/{id}","href":"/api-reference/auth-configs/get-auth-configuration-by-id","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"AuthConfigController_getAuthConfigById","x-apiKeyEnabled":true,"summary":"Get auth configuration by ID","description":"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.","parameters":["8d19f536-1e4a-423c-b01f-268dc709a0c8"],"responses":{"200":"3fdc0325-0ea0-4371-a7e4-db8299230424"},"tags":["Auth Configs"],"security":["1d411d32-0310-45b8-94c2-a0b99b701b55"],"method":"get","type":"path","servers":["7d552b2e-a0a4-4310-b6db-55864d1e3c57"],"path":"/api/v1/auth_configs/{id}","baseUrlOptions":["https://flowra.dev"],"title":"Get auth configuration by ID","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"8d19f536-1e4a-423c-b01f-268dc709a0c8":{"name":"id","required":true,"in":"path","schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"responses":{"3fdc0325-0ea0-4371-a7e4-db8299230424":{"description":"Auth config retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Success status","example":true,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","description":"Success message","example":"Operation completed successfully","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","properties":{"id":{"type":"string","description":"Auth config ID","example":"auth_config_123","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"uuid":{"type":"string","description":"Auth config UUID","example":"uuid_123","isRequired":true,"uniqueKey":"data.uuid","typeLabel":"string"},"type":{"enum":["default","custom"],"type":"string","description":"Auth config type","example":"default","isRequired":true,"uniqueKey":"data.type","typeLabel":"enum\u003cstring>"},"toolkit":{"type":"object","properties":{"slug":{"type":"string","description":"Toolkit slug","example":"slack","isRequired":true,"uniqueKey":"data.toolkit.slug","typeLabel":"string"},"logo":{"type":"string","description":"Toolkit logo URL","example":"https://example.com/logo.png","isRequired":true,"uniqueKey":"data.toolkit.logo","typeLabel":"string"}},"required":["slug","logo"],"isRequired":true,"uniqueKey":"data.toolkit","typeLabel":"object"},"name":{"type":"string","description":"Internal AuthConfig name (Composio sync id)","example":"slack-9qmlw6","isRequired":true,"uniqueKey":"data.name","typeLabel":"string"},"authScheme":{"enum":["OAUTH1","OAUTH2","S2S_OAUTH2","API_KEY","BASIC","BEARER_TOKEN","BILLCOM_AUTH","GOOGLE_SERVICE_ACCOUNT","NO_AUTH","BASIC_WITH_JWT","CALCOM_AUTH","SERVICE_ACCOUNT","SAML","DCR_OAUTH","COOKIE","WHATSAPP_QR"],"type":"string","description":"Authentication scheme","example":"OAUTH2","isRequired":true,"uniqueKey":"data.authScheme","typeLabel":"enum\u003cstring>"},"provider":{"enum":["COMPOSIO","LOCAL"],"type":"string","description":"Provider (COMPOSIO or LOCAL)","example":"COMPOSIO","isRequired":true,"uniqueKey":"data.provider","typeLabel":"enum\u003cstring>"},"isProviderManaged":{"type":"boolean","description":"Whether this auth is provider-managed (by Local or Composio)","example":true,"isRequired":true,"uniqueKey":"data.isProviderManaged","typeLabel":"boolean"},"credentials":{"type":"object","description":"Credentials object","additionalProperties":true,"isRequired":true,"uniqueKey":"data.credentials","typeLabel":"object"},"proxyConfig":{"type":"object","properties":{"proxyUrl":{"type":"string","description":"Proxy URL","example":"https://proxy.example.com","isRequired":true,"uniqueKey":"data.proxyConfig.proxyUrl","typeLabel":"string"},"proxyAuthKey":{"type":"string","description":"Proxy authentication key","example":"auth_key_123","isRequired":true,"uniqueKey":"data.proxyConfig.proxyAuthKey","typeLabel":"string"}},"required":["proxyUrl","proxyAuthKey"],"isRequired":true,"uniqueKey":"data.proxyConfig","typeLabel":"object"},"status":{"enum":["ENABLED","DISABLED"],"type":"string","description":"Auth config status","example":"ENABLED","isRequired":true,"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"createdBy":{"type":"string","description":"Created by user","example":"user_123","isRequired":true,"uniqueKey":"data.createdBy","typeLabel":"string"},"createdAt":{"type":"string","description":"Creation timestamp","example":"2023-01-01T00:00:00Z","isRequired":true,"uniqueKey":"data.createdAt","typeLabel":"string"},"lastUpdatedAt":{"type":"string","description":"Last updated timestamp","example":"2023-01-01T00:00:00Z","isRequired":true,"uniqueKey":"data.lastUpdatedAt","typeLabel":"string"},"noOfConnections":{"type":"number","description":"Number of connections","example":5,"isRequired":true,"uniqueKey":"data.noOfConnections","typeLabel":"number"},"expectedInputFields":{"type":"array","description":"Expected input fields","items":{"type":"object","uniqueKey":"data.expectedInputFields.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.expectedInputFields","typeLabel":"object[]"},"restrictToFollowingTools":{"description":"Restricted tools","example":["tool1","tool2"],"type":"array","items":{"type":"string","uniqueKey":"data.restrictToFollowingTools.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.restrictToFollowingTools","typeLabel":"string[]"},"toolAccessConfig":{"type":"object","properties":{"toolsForConnectedAccountCreation":{"description":"Tools for connected account creation","example":["tool1","tool2"],"type":"array","items":{"type":"string","uniqueKey":"data.toolAccessConfig.toolsForConnectedAccountCreation.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.toolAccessConfig.toolsForConnectedAccountCreation","typeLabel":"string[]"},"toolsAvailableForExecution":{"description":"Tools available for execution","example":["tool3","tool4"],"type":"array","items":{"type":"string","uniqueKey":"data.toolAccessConfig.toolsAvailableForExecution.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.toolAccessConfig.toolsAvailableForExecution","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"data.toolAccessConfig","typeLabel":"object"},"deprecatedParams":{"type":"object","properties":{"defaultConnectorId":{"type":"string","description":"Default connector ID","example":"connector_123","uniqueKey":"data.deprecatedParams.defaultConnectorId","typeLabel":"string"},"memberUuid":{"type":"string","description":"Member UUID","example":"member_uuid_123","uniqueKey":"data.deprecatedParams.memberUuid","typeLabel":"string"},"toolkitId":{"type":"string","description":"Toolkit ID","example":"toolkit_123","uniqueKey":"data.deprecatedParams.toolkitId","typeLabel":"string"},"expectedInputFields":{"type":"object","description":"Expected input fields","additionalProperties":true,"uniqueKey":"data.deprecatedParams.expectedInputFields","typeLabel":"object"}},"isRequired":true,"uniqueKey":"data.deprecatedParams","typeLabel":"object"},"displayName":{"oneOf":[{"type":"string","description":"Optional UI display label","example":"Slack staging","uniqueKey":"data.displayName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional UI display label","example":"Slack staging","uniqueKey":"data.displayName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.displayName","typeLabel":"string | null"},"externalId":{"type":"string","description":"External ID from the provider","example":"auth_config_123","uniqueKey":"data.externalId","typeLabel":"string"}},"required":["id","uuid","type","toolkit","name","authScheme","provider","isProviderManaged","credentials","proxyConfig","status","createdBy","createdAt","lastUpdatedAt","noOfConnections","expectedInputFields","restrictToFollowingTools","toolAccessConfig","deprecatedParams"],"example":{"id":"auth_config_123","uuid":"uuid_123","type":"default","toolkit":{"slug":"slack","logo":"https://example.com/logo.png"},"name":"slack-9qmlw6","displayName":"Slack staging","authScheme":"OAUTH2","provider":"COMPOSIO","externalId":"auth_config_123","isProviderManaged":true,"credentials":{},"proxyConfig":{"proxyUrl":"https://proxy.example.com","proxyAuthKey":"auth_key_123"},"status":"ENABLED","createdBy":"user_123","createdAt":"2023-01-01T00:00:00Z","lastUpdatedAt":"2023-01-01T00:00:00Z","noOfConnections":5,"expectedInputFields":[{}],"restrictToFollowingTools":["tool1","tool2"],"toolAccessConfig":{"toolsForConnectedAccountCreation":["tool1","tool2"],"toolsAvailableForExecution":["tool3","tool4"]},"deprecatedParams":{"defaultConnectorId":"connector_123","memberUuid":"member_uuid_123","toolkitId":"toolkit_123","expectedInputFields":{}}},"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["success","message","data"],"uniqueKey":"","typeLabel":"object"},"example":{"success":true,"message":"Operation completed successfully","data":{"id":"auth_config_123","uuid":"uuid_123","type":"default","toolkit":{"slug":"slack","logo":"https://example.com/logo.png"},"name":"slack-9qmlw6","displayName":"Slack staging","authScheme":"OAUTH2","provider":"COMPOSIO","externalId":"auth_config_123","isProviderManaged":true,"credentials":{},"proxyConfig":{"proxyUrl":"https://proxy.example.com","proxyAuthKey":"auth_key_123"},"status":"ENABLED","createdBy":"user_123","createdAt":"2023-01-01T00:00:00Z","lastUpdatedAt":"2023-01-01T00:00:00Z","noOfConnections":5,"expectedInputFields":[{}],"restrictToFollowingTools":["tool1","tool2"],"toolAccessConfig":{"toolsForConnectedAccountCreation":["tool1","tool2"],"toolsAvailableForExecution":["tool3","tool4"]},"deprecatedParams":{"defaultConnectorId":"connector_123","memberUuid":"member_uuid_123","toolkitId":"toolkit_123","expectedInputFields":{}}}},"examples":{"Example":{"title":"Example","value":{"success":true,"message":"Operation completed successfully","data":{"id":"auth_config_123","uuid":"uuid_123","type":"default","toolkit":{"slug":"slack","logo":"https://example.com/logo.png"},"name":"slack-9qmlw6","displayName":"Slack staging","authScheme":"OAUTH2","provider":"COMPOSIO","externalId":"auth_config_123","isProviderManaged":true,"credentials":{},"proxyConfig":{"proxyUrl":"https://proxy.example.com","proxyAuthKey":"auth_key_123"},"status":"ENABLED","createdBy":"user_123","createdAt":"2023-01-01T00:00:00Z","lastUpdatedAt":"2023-01-01T00:00:00Z","noOfConnections":5,"expectedInputFields":[{}],"restrictToFollowingTools":["tool1","tool2"],"toolAccessConfig":{"toolsForConnectedAccountCreation":["tool1","tool2"],"toolsAvailableForExecution":["tool3","tool4"]},"deprecatedParams":{"defaultConnectorId":"connector_123","memberUuid":"member_uuid_123","toolkitId":"toolkit_123","expectedInputFields":{}}}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"1d411d32-0310-45b8-94c2-a0b99b701b55":{"x-api-key":{"type":"apiKey","in":"header","name":"x-api-key","description":"Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key: \u003cyour-key>","scopes":[],"schemeName":"x-api-key"}}},"servers":{"7d552b2e-a0a4-4310-b6db-55864d1e3c57":{"url":"https://flowra.dev","description":"Flowra API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","description":"Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key: \u003cyour-key>","scopes":[],"schemeName":"x-api-key"},"schema":{"title":"x-api-key","type":"string","description":"Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key: \u003cyour-key>","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"x-api-key","name":"x-api-key"}],"title":"x-api-key"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"flowra","siteName":"Flowra","title":"Get auth configuration by ID - Flowra","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-11T07:54:23.732Z","originalFileLocation":"api-reference/auth-configs/get-auth-configuration-by-id.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Flowra\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get auth configuration by ID - Flowra\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Flowra\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://flowra.mintlify.site/_mintlify/api/og/v2?division=Auth+Configs\u0026amp;title=Get+auth+configuration+by+ID\u0026amp;description=Get+details+of+one+auth+configuration+by+ID.+Use+to+inspect+provider%2C+scopes%2C+or+linked+toolkits+before+using+it+in+a+workflow.\u0026amp;theme=29ac3032f80d74eeaee9365e\u0026amp;signature=30d8c36f364b9588641d3f3d0f3e357ffed9425d4d6397922985c622e3ff3b4c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get auth configuration by ID - Flowra\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://flowra.mintlify.site/_mintlify/api/og/v2?division=Auth+Configs\u0026amp;title=Get+auth+configuration+by+ID\u0026amp;description=Get+details+of+one+auth+configuration+by+ID.+Use+to+inspect+provider%2C+scopes%2C+or+linked+toolkits+before+using+it+in+a+workflow.\u0026amp;theme=29ac3032f80d74eeaee9365e\u0026amp;signature=30d8c36f364b9588641d3f3d0f3e357ffed9425d4d6397922985c622e3ff3b4c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/flowra/eRan3KqAEPA_p1_2/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Flowra\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#bb7400\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/auth-configs/get-auth-configuration-by-id.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://flowra.dev/#organization\",\"name\":\"Flowra\",\"url\":\"https://flowra.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://docs.flowra.dev/logo/light-with-text.svg\"},\"sameAs\":[\"https://github.com/flowradev/sdk\",\"https://x.com/flowradev\"]},{\"@type\":\"WebSite\",\"@id\":\"https://docs.flowra.dev#website\",\"name\":\"Flowra\",\"url\":\"https://docs.flowra.dev\",\"publisher\":{\"@id\":\"https://flowra.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id#webpage\",\"url\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id\",\"name\":\"Get auth configuration by ID\",\"description\":\"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.\",\"dateModified\":\"2026-10-11T07:54:23.732Z\",\"isPartOf\":{\"@id\":\"https://docs.flowra.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Auth Configs\",\"item\":\"https://docs.flowra.dev/api-reference/auth-configs/list-auth-configurations\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get auth configuration by ID\",\"item\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id#apireference\",\"headline\":\"Get auth configuration by ID\",\"name\":\"Get auth configuration by ID\",\"description\":\"Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.\",\"url\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id\",\"mainEntityOfPage\":{\"@id\":\"https://docs.flowra.dev/api-reference/auth-configs/get-auth-configuration-by-id#webpage\"},\"dateModified\":\"2026-10-11T07:54:23.732Z\",\"publisher\":{\"@id\":\"https://flowra.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.flowra.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Flowra\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Flowra","nav":{"global":{"anchors":[{"anchor":"Dashboard","icon":"rectangle-terminal","href":"https://flowra.dev/dashboard"},{"anchor":"API","icon":"code","href":"/api-reference"},{"anchor":"SDK","icon":"cube","href":"/guides/sdk"}]},"tabs":[{"tab":"Product","pages":[{"title":"Product","href":""}]},{"tab":"Developers","pages":[{"title":"Developers","href":"/quickstart"}]},{"tab":"API reference","groups":[{"group":"Users","pages":[{"title":"Get current user profile","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/users/profile","href":"/api-reference/users/get-current-user-profile"}]},{"group":"External Users","pages":[{"title":"List external users","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/external-users","href":"/api-reference/external-users/list-external-users"},{"title":"Create external user","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/external-users","href":"/api-reference/external-users/create-external-user"},{"title":"Refresh external user profile photo","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/external-users/{id}/refresh-avatar","href":"/api-reference/external-users/refresh-external-user-profile-photo"},{"title":"Toggle external user active status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json put /api/v1/external-users/{id}/toggle-active","href":"/api-reference/external-users/toggle-external-user-active-status"},{"title":"Get external user by username","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/external-users/username/{username}","href":"/api-reference/external-users/get-external-user-by-username"}]},{"group":"Auth Configs","pages":[{"title":"List auth configurations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/auth_configs","href":"/api-reference/auth-configs/list-auth-configurations"},{"title":"Create auth configuration","description":"Create an authentication configuration (OAuth or API key) for a toolkit. Workflows and agents can then use this config to connect to the external service (e.g. Slack, CRM).","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/auth_configs","href":"/api-reference/auth-configs/create-auth-configuration"},{"title":"Get auth configuration by ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/auth_configs/{id}","href":"/api-reference/auth-configs/get-auth-configuration-by-id"},{"title":"Delete auth configuration","description":"Remove an auth configuration. It will no longer be available for toolkits or workflows. Any workflows using it may need a new connection.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/auth_configs/{id}","href":"/api-reference/auth-configs/delete-auth-configuration"}]},{"group":"Connected Accounts","pages":[{"title":"List connected accounts","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/connected_accounts","href":"/api-reference/connected-accounts/list-connected-accounts"},{"title":"Create connected account (provider dispatch)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/connected_accounts","href":"/api-reference/connected-accounts/create-connected-account-provider-dispatch"},{"title":"Delete a connected account","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/connected_accounts/{id}","href":"/api-reference/connected-accounts/delete-a-connected-account"},{"title":"Update a connected account (e.g. display name)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/connected_accounts/{id}","href":"/api-reference/connected-accounts/update-a-connected-account-eg-display-name"},{"title":"List connections grouped by toolkit (dashboard)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/connected_accounts/grouped-by-toolkit","href":"/api-reference/connected-accounts/list-connections-grouped-by-toolkit-dashboard"},{"title":"Create a new auth link session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/connected_accounts/link","href":"/api-reference/connected-accounts/create-a-new-auth-link-session"}]},{"group":"Toolkits","pages":[{"title":"Get all toolkits","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/toolkits","href":"/api-reference/toolkits/get-all-toolkits"},{"title":"Create a new toolkit","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/toolkits","href":"/api-reference/toolkits/create-a-new-toolkit"},{"title":"Get toolkit by ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/toolkits/byId/{id}","href":"/api-reference/toolkits/get-toolkit-by-id"},{"title":"Delete a toolkit","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/toolkits/byId/{id}","href":"/api-reference/toolkits/delete-a-toolkit"},{"title":"Update an existing toolkit","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/toolkits/byId/{id}","href":"/api-reference/toolkits/update-an-existing-toolkit"},{"title":"Set toolkit active status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/toolkits/byId/{id}/status","href":"/api-reference/toolkits/set-toolkit-active-status"},{"title":"Get public catalog toolkit by slug","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/toolkits/bySlug/{slug}","href":"/api-reference/toolkits/get-public-catalog-toolkit-by-slug"},{"title":"List toolkit categories","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/toolkits/categories","href":"/api-reference/toolkits/list-toolkit-categories"},{"title":"List messaging channels for agent entry points","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/toolkits/messaging-channels","href":"/api-reference/toolkits/list-messaging-channels-for-agent-entry-points"},{"title":"Get toolkits with nested tools","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/toolkits/with-tools","href":"/api-reference/toolkits/get-toolkits-with-nested-tools"}]},{"group":"Tools","pages":[{"title":"List available tools","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/tools","href":"/api-reference/tools/list-available-tools"},{"title":"Create a new tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/tools","href":"/api-reference/tools/create-a-new-tool"},{"title":"Get tool by ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/tools/byId/{id}","href":"/api-reference/tools/get-tool-by-id"},{"title":"Delete a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/tools/byId/{id}","href":"/api-reference/tools/delete-a-tool"},{"title":"Update an existing tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/tools/byId/{id}","href":"/api-reference/tools/update-an-existing-tool"},{"title":"Set tool active status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/tools/byId/{id}/status","href":"/api-reference/tools/set-tool-active-status"},{"title":"Execute tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/tools/execute/{toolSlug}","href":"/api-reference/tools/execute-tool"},{"title":"List tool execution logs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/tools/execution-logs","href":"/api-reference/tools/list-tool-execution-logs"}]},{"group":"Skills","pages":[{"title":"Browse skill catalog","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/skills/catalog/browse","href":"/api-reference/skills/browse-skill-catalog"},{"title":"Create a custom skill","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/skills/create","href":"/api-reference/skills/create-a-custom-skill"},{"title":"Soft-delete a skill","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/skills/delete/{id}","href":"/api-reference/skills/soft-delete-a-skill"},{"title":"Get skill by ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/skills/detail/{id}","href":"/api-reference/skills/get-skill-by-id"},{"title":"Import SKILL.md from GitHub URL","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/skills/import/github","href":"/api-reference/skills/import-skillmd-from-github-url"},{"title":"Add a platform/registry catalog skill to My Skills","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/skills/library/add/{id}","href":"/api-reference/skills/add-a-platformregistry-catalog-skill-to-my-skills"},{"title":"List My Skills","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/skills/list","href":"/api-reference/skills/list-my-skills"},{"title":"Install skill from registry / GitHub repo","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/skills/registry/install","href":"/api-reference/skills/install-skill-from-registry-github-repo"},{"title":"List skills.sh leaderboard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/skills/registry/list","href":"/api-reference/skills/list-skillssh-leaderboard"},{"title":"Search skills.sh registry","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/skills/registry/search","href":"/api-reference/skills/search-skillssh-registry"},{"title":"Sync a registry skill from GitHub","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/skills/registry/sync/{id}","href":"/api-reference/skills/sync-a-registry-skill-from-github"},{"title":"Update a skill","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/skills/update/{id}","href":"/api-reference/skills/update-a-skill"}]},{"group":"Workflow \u0026 Agent","pages":[{"title":"Get executions for a specific workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/{id}/executions","href":"/api-reference/workflow-\u0026-agent/get-executions-for-a-specific-workflow"},{"title":"Get workflow/agent statistics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/{id}/statistics","href":"/api-reference/workflow-\u0026-agent/get-workflowagent-statistics"},{"title":"Update workflow status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/workflow/manager/activeStatus/{id}","href":"/api-reference/workflow-\u0026-agent/update-workflow-status"},{"title":"Add connection after OAuth for a workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/workflow/manager/add-connection","href":"/api-reference/workflow-\u0026-agent/add-connection-after-oauth-for-a-workflow"},{"title":"Change workflow connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/workflow/manager/change-connection/{id}","href":"/api-reference/workflow-\u0026-agent/change-workflow-connection"},{"title":"Clear AuthConfig binding for a toolkit on an agent workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/workflow/manager/clear-auth-config/{id}","href":"/api-reference/workflow-\u0026-agent/clear-authconfig-binding-for-a-toolkit-on-an-agent-workflow"},{"title":"Clear preferred connected account for a toolkit","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/workflow/manager/clear-connection/{id}","href":"/api-reference/workflow-\u0026-agent/clear-preferred-connected-account-for-a-toolkit"},{"title":"Create workflow (agent)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/workflow/manager/create","href":"/api-reference/workflow-\u0026-agent/create-workflow-agent"},{"title":"Delete workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/workflow/manager/delete/{id}","href":"/api-reference/workflow-\u0026-agent/delete-workflow"},{"title":"Get workflow detail","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/detail/{id}","href":"/api-reference/workflow-\u0026-agent/get-workflow-detail"},{"title":"Trigger workflow execution manually","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/workflow/manager/execute/{id}","href":"/api-reference/workflow-\u0026-agent/trigger-workflow-execution-manually"},{"title":"Get workflow executions list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/executions","href":"/api-reference/workflow-\u0026-agent/get-workflow-executions-list"},{"title":"Get workflow execution detail","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/executions/{id}","href":"/api-reference/workflow-\u0026-agent/get-workflow-execution-detail"},{"title":"Resume workflow execution","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/workflow/manager/executions/thread/{threadId}/resume","href":"/api-reference/workflow-\u0026-agent/resume-workflow-execution"},{"title":"Get execution status by thread ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/executions/thread/{threadId}/status","href":"/api-reference/workflow-\u0026-agent/get-execution-status-by-thread-id"},{"title":"Get workflow list","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/workflow/manager/list","href":"/api-reference/workflow-\u0026-agent/get-workflow-list"},{"title":"Bind AuthConfig for a toolkit on an agent workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/workflow/manager/set-auth-config/{id}","href":"/api-reference/workflow-\u0026-agent/bind-authconfig-for-a-toolkit-on-an-agent-workflow"},{"title":"Update workflow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/workflow/manager/update/{id}","href":"/api-reference/workflow-\u0026-agent/update-workflow"}]},{"group":"Triggers","pages":[{"title":"Create or update trigger","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/trigger_instances/{slug}/upsert","href":"/api-reference/triggers/create-or-update-trigger"},{"title":"List active triggers","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/trigger_instances/active","href":"/api-reference/triggers/list-active-triggers"},{"title":"List trigger invocation logs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/trigger_instances/invocation-logs","href":"/api-reference/triggers/list-trigger-invocation-logs"},{"title":"Replay trigger invocation as webhook","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/trigger_instances/invocation-logs/{logId}/replay-webhook","href":"/api-reference/triggers/replay-trigger-invocation-as-webhook"},{"title":"Delete trigger","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/trigger_instances/manage/{triggerId}","href":"/api-reference/triggers/delete-trigger"},{"title":"Enable or disable trigger","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/trigger_instances/manage/{triggerId}/status","href":"/api-reference/triggers/enable-or-disable-trigger"}]},{"group":"Chat","pages":[{"title":"Create thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads","href":"/api-reference/chat/create-thread"},{"title":"Get thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/graphify/threads/{thread_id}","href":"/api-reference/chat/get-thread"},{"title":"Delete thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/graphify/threads/{thread_id}","href":"/api-reference/chat/delete-thread"},{"title":"Update thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/graphify/threads/{thread_id}","href":"/api-reference/chat/update-thread"},{"title":"Generate thread title","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads/{thread_id}/generate-title","href":"/api-reference/chat/generate-thread-title"},{"title":"Get thread history","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads/{thread_id}/history","href":"/api-reference/chat/get-thread-history"},{"title":"Send operator channel reply","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads/{thread_id}/operator-reply","href":"/api-reference/chat/send-operator-channel-reply"},{"title":"Set channel reply mode","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/graphify/threads/{thread_id}/reply-mode","href":"/api-reference/chat/set-channel-reply-mode"},{"title":"List thread runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/graphify/threads/{thread_id}/runs","href":"/api-reference/chat/list-thread-runs"},{"title":"Cancel run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads/{thread_id}/runs/{run_id}/cancel","href":"/api-reference/chat/cancel-run"},{"title":"Join run stream","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/graphify/threads/{thread_id}/runs/{run_id}/stream","href":"/api-reference/chat/join-run-stream"},{"title":"Stream thread run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads/{thread_id}/runs/stream","href":"/api-reference/chat/stream-thread-run"},{"title":"Get thread state","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/graphify/threads/{thread_id}/state","href":"/api-reference/chat/get-thread-state"},{"title":"Search threads","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/graphify/threads/search","href":"/api-reference/chat/search-threads"}]},{"group":"File","pages":[{"title":"List files","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/file","href":"/api-reference/file/list-files"},{"title":"Serve file by filename","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/file/{filename}","href":"/api-reference/file/serve-file-by-filename"},{"title":"Delete file","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/file/{id}","href":"/api-reference/file/delete-file"},{"title":"Delete multiple files","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/file/delete-many","href":"/api-reference/file/delete-multiple-files"},{"title":"Download file","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/file/download/{id}","href":"/api-reference/file/download-file"},{"title":"Get file type info","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/file/fileType/{fileType}","href":"/api-reference/file/get-file-type-info"},{"title":"List supported file types","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/file/fileTypes","href":"/api-reference/file/list-supported-file-types"},{"title":"Delete oldest files to free storage","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/file/prune-oldest","href":"/api-reference/file/delete-oldest-files-to-free-storage"},{"title":"File storage breakdown","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/file/storage-breakdown","href":"/api-reference/file/file-storage-breakdown"},{"title":"Upload a single file","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/file/upload/single/{fileType}","href":"/api-reference/file/upload-a-single-file"}]},{"group":"Knowledge","pages":[{"title":"Get all RAG collections","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/knowledge/collections","href":"/api-reference/knowledge/get-all-rag-collections"},{"title":"Create an empty knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/knowledge/collections","href":"/api-reference/knowledge/create-an-empty-knowledge-collection"},{"title":"Get knowledge collection details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/knowledge/collections/{id}","href":"/api-reference/knowledge/get-knowledge-collection-details"},{"title":"Delete knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/knowledge/collections/{id}","href":"/api-reference/knowledge/delete-knowledge-collection"},{"title":"Rename a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/knowledge/collections/{id}","href":"/api-reference/knowledge/rename-a-knowledge-collection"},{"title":"List chunks in a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/knowledge/collections/{id}/chunks","href":"/api-reference/knowledge/list-chunks-in-a-knowledge-collection"},{"title":"Toggle read-only share with project members via MCP","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/knowledge/collections/{id}/expose-mcp","href":"/api-reference/knowledge/toggle-read-only-share-with-project-members-via-mcp"},{"title":"Add an uploaded file to a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/knowledge/collections/{id}/ingest/file","href":"/api-reference/knowledge/add-an-uploaded-file-to-a-knowledge-collection"},{"title":"Add pasted text to a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/knowledge/collections/{id}/ingest/text","href":"/api-reference/knowledge/add-pasted-text-to-a-knowledge-collection"},{"title":"Add a web page to a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/knowledge/collections/{id}/ingest/url","href":"/api-reference/knowledge/add-a-web-page-to-a-knowledge-collection"},{"title":"Semantic search within a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/knowledge/collections/{id}/search","href":"/api-reference/knowledge/semantic-search-within-a-knowledge-collection"},{"title":"List sources in a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/knowledge/collections/{id}/sources","href":"/api-reference/knowledge/list-sources-in-a-knowledge-collection"},{"title":"Delete a source from a knowledge collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/knowledge/collections/{id}/sources","href":"/api-reference/knowledge/delete-a-source-from-a-knowledge-collection"}]},{"group":"Table","pages":[{"title":"List collections","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/table/collections","href":"/api-reference/table/list-collections"},{"title":"Create document","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/table/collections/{collectionId}/documents","href":"/api-reference/table/create-document"},{"title":"Delete document","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/table/collections/{collectionId}/documents/{documentId}","href":"/api-reference/table/delete-document"},{"title":"Update document","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/table/collections/{collectionId}/documents/{documentId}","href":"/api-reference/table/update-document"},{"title":"Get collection metadata","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/table/collections/{id}","href":"/api-reference/table/get-collection-metadata"},{"title":"Delete collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/table/collections/{id}","href":"/api-reference/table/delete-collection"},{"title":"List collection documents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/table/collections/{id}/documents","href":"/api-reference/table/list-collection-documents"},{"title":"Toggle read-only share with project members via MCP","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/table/collections/{id}/expose-mcp","href":"/api-reference/table/toggle-read-only-share-with-project-members-via-mcp"}]},{"group":"Sandbox","pages":[{"title":"Run code in an ephemeral sandbox","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/sandbox/ephemeral","href":"/api-reference/sandbox/run-code-in-an-ephemeral-sandbox"},{"title":"Create a durable sandbox session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/sandbox/sessions","href":"/api-reference/sandbox/create-a-durable-sandbox-session"},{"title":"Get sandbox session status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/sandbox/sessions/{id}","href":"/api-reference/sandbox/get-sandbox-session-status"},{"title":"Release a sandbox session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/sandbox/sessions/{id}","href":"/api-reference/sandbox/release-a-sandbox-session"},{"title":"Execute code in a sandbox session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/sandbox/sessions/{id}/execute","href":"/api-reference/sandbox/execute-code-in-a-sandbox-session"},{"title":"Chat computer status for a thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/sandbox/threads/{threadId}","href":"/api-reference/sandbox/chat-computer-status-for-a-thread"},{"title":"Power off chat computer for a thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/sandbox/threads/{threadId}","href":"/api-reference/sandbox/power-off-chat-computer-for-a-thread"},{"title":"Warm-start chat computer for a thread","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/sandbox/threads/{threadId}/start","href":"/api-reference/sandbox/warm-start-chat-computer-for-a-thread"}]},{"group":"Browser","pages":[{"title":"Close live browser session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/browser/sessions/{sessionId}/close","href":"/api-reference/browser/close-live-browser-session"},{"title":"Browser session status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/browser/sessions/{sessionId}/status","href":"/api-reference/browser/browser-session-status"},{"title":"Heartbeat for open browser panel","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/browser/sessions/{sessionId}/touch","href":"/api-reference/browser/heartbeat-for-open-browser-panel"},{"title":"Live browser panel (iframe)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/browser/sessions/{sessionId}/view","href":"/api-reference/browser/live-browser-panel-iframe"}]},{"group":"LLM","pages":[{"title":"Chat with conversation history","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/ai/llm/chat","href":"/api-reference/llm/chat-with-conversation-history"},{"title":"Generate text","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/ai/llm/generate","href":"/api-reference/llm/generate-text"},{"title":"","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/ai/models","href":"/api-reference/llm/get-apiv1aimodels"}]},{"group":"MCP","pages":[{"title":"Hosted MCP SSE endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/mcp","href":"/api-reference/mcp/hosted-mcp-sse-endpoint"},{"title":"Hosted MCP JSON-RPC endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/mcp","href":"/api-reference/mcp/hosted-mcp-json-rpc-endpoint"},{"title":"List MCP servers","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/mcp_manager","href":"/api-reference/mcp/list-mcp-servers"},{"title":"Create a new MCP server","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/mcp_manager","href":"/api-reference/mcp/create-a-new-mcp-server"},{"title":"Get MCP server by ID","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/mcp_manager/{id}","href":"/api-reference/mcp/get-mcp-server-by-id"},{"title":"Delete MCP server","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /api/v1/mcp_manager/{id}","href":"/api-reference/mcp/delete-mcp-server"},{"title":"Update MCP server","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/mcp_manager/{id}","href":"/api-reference/mcp/update-mcp-server"},{"title":"Get MCP server config (tools list)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/mcp_manager/{id}/config","href":"/api-reference/mcp/get-mcp-server-config-tools-list"},{"title":"Clear AuthConfig binding for a toolkit on an MCP server","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/mcp_manager/clear-auth-config/{id}","href":"/api-reference/mcp/clear-authconfig-binding-for-a-toolkit-on-an-mcp-server"},{"title":"Bind AuthConfig for a toolkit on an MCP server","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json patch /api/v1/mcp_manager/set-auth-config/{id}","href":"/api-reference/mcp/bind-authconfig-for-a-toolkit-on-an-mcp-server"},{"title":"MCP SSE endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/mcp/{serverId}","href":"/api-reference/mcp/mcp-sse-endpoint"},{"title":"MCP JSON-RPC endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/mcp/{serverId}","href":"/api-reference/mcp/mcp-json-rpc-endpoint"},{"title":"Agent as MCP SSE endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/mcp/agents/{agentId}","href":"/api-reference/mcp/agent-as-mcp-sse-endpoint"},{"title":"Agent as MCP JSON-RPC endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /api/v1/mcp/agents/{agentId}","href":"/api-reference/mcp/agent-as-mcp-json-rpc-endpoint"}]},{"group":"usage","pages":[{"title":"Credit usage ledger (API key)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/usage","href":"/api-reference/usage/credit-usage-ledger-api-key"},{"title":"Credit balance (API key)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/usage/balance","href":"/api-reference/usage/credit-balance-api-key"},{"title":"Usage for one execution","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /api/v1/usage/executions/{executionId}","href":"/api-reference/usage/usage-for-one-execution"}]}]}]},"basePath":"","title":"Get auth configuration by ID - Flowra","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}